# Uses of Class
org.apache.commons.math3.util.IntegerSequence.Range

Packages that use IntegerSequence.Range
Package
Description
org.apache.commons.math3.util
Convenience routines and common data structures used throughout the commons-math library.

## Uses of IntegerSequence.Range in org.apache.commons.math3.util

Methods in org.apache.commons.math3.util that return IntegerSequence.Range
Modifier and Type
Method
Description
`static IntegerSequence.Range`
IntegerSequence.`range(int start, int end)`
Creates a sequence `[start .. end]`.
`static IntegerSequence.Range`
IntegerSequence.`range(int start, int max, int step)`
Creates a sequence \( a_i, i invalid input: '<' 0 invalid input: '<'= n \) where \( a_i = start + i * step \) and \( n \) is such that \( a_n invalid input: '<'= max \) and \( a_{n+1} > max \).